/* ============ Header Section ============ */
/* .main-header-dv.is-scrolled {
  background: #f4f4f42e;
  backdrop-filter: blur(40px);
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.main-header-dv.is-hidden {
  transform: translateY(-100%);
} */

.main-header-dv {
  transition:
    padding 0.3s ease,
    transform 0.3s ease,
    background 0.3s ease;
}

/* Default (top of page) */
.main-header-dv {
  padding: 30px 20px;
}

/* Compact when scrolling up */
.main-header-dv.is-compact {
  padding: 25px 20px !important;
  background: #f4f4f42e;
  backdrop-filter: blur(40px);
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.qm-site-logo-img img {
  max-height: 68px;
  transition: max-height 0.3s ease;
}

/* Smaller logo in compact state */
.main-header-dv.is-compact .qm-site-logo-img img {
  max-height: 50px;
}

.main-header-dv.is-hidden {
  transform: translateY(-110%);
}


/* =========== */

.main-header-menu .elementor-nav-menu .elementor-item {
  position: relative;
  transition: all 0.2s ease-in;
  overflow: hidden;
}

.main-header-menu .elementor-nav-menu .elementor-item::after {
  content: '';
  width: 100%;
  height: 2px;
  background-color: #B31900 !important;
  opacity: 1 !important;
  left: -100%;
  bottom: 0;
  position: absolute;
  transition: all 0.2s ease-in;
}

.main-header-menu .elementor-nav-menu .elementor-item:hover::after {
  left: 0;
  transition: all 0.2s ease-in;
}

.main-header-menu .elementor-nav-menu .elementor-item-active::after {
  content: '';
  width: 100%;
  height: 2px;
  background-color: #B31900 !important;
  opacity: 1 !important;
  left: 0;
  bottom: 0;
  position: absolute;
}


/* ============ Header Section ============ */


/* ============ Home Page Hero Section ============ */

.hero-carousel-main .swiper-wrapper {
  display: flex !important;
  flex-direction: column !important;
}

.hero-carousel-main .e-n-carousel {
  padding: 0 !important;
}

.hero-carousel-main .swiper-pagination {
  display: flex;
  flex-direction: column;
  row-gap: 25px;
}

.hero-carousel-main .swiper-pagination span {
  opacity: 1;
  position: relative;
}

.hero-carousel-main .swiper-pagination span::after {
  content: '';
  width: 0;
  height: 0;
  background-color: transparent;
  border-radius: 50%;
  position: absolute;
  top: -12px;
  left: -12px;
  transition: all 0.2s ease-in;
}

.hero-carousel-main .swiper-pagination span:hover::after {
  width: 40px;
  height: 40px;
  background-color: #ffffff4d;
  animation: bulletBreath 2.2s ease-in-out infinite;
}

.hero-carousel-main .swiper-pagination .swiper-pagination-bullet-active::after {
  width: 40px;
  height: 40px;
  background-color: #ffffff4d;
  animation: bulletBreath 2.2s ease-in-out infinite;
}

@keyframes bulletBreath {

  0%,
  100% {
    transform: scale(0.5);
    opacity: 0.5;
  }

  50% {
    transform: scale(1.01);
    opacity: 0.9;
  }
}

/* -----========----- */


/* Home Page Hero Section Slider */

/* ============ Footer Section ============ */

.footer_menu-main .elementor-nav-menu .elementor-item {
  position: relative;
  display: inline-block;
  overflow: hidden;
}

.footer_menu-main .elementor-nav-menu .elementor-item::after {
  content: '';
  width: 100%;
  height: 2px;
  background-color: #B31900 !important;
  left: -100%;
  bottom: 0;
  position: absolute;
  opacity: 1 !important;
  transition: all 0.2s ease-in;
}

.footer_menu-main .elementor-nav-menu .elementor-item:hover::after {
  left: 0;
  transition: all 0.2s ease-in;
}

.footer_menu-main .elementor-nav-menu .elementor-item-active::after {
  content: '';
  width: 100%;
  height: 2px;
  background-color: #B31900 !important;
  left: 0;
  bottom: 0;
  position: absolute;
  opacity: 1 !important;
  transition: all 0.2s ease-in;
}

/* ============ Footer Section ============ */

/* ============ Home Page Hero Section ============ */

/* Spice Collection */

.spice-collec-section {
  padding-right: calc((100% - 1440px) / 2) !important;
}

.box-one {
  position: relative;
}

.box-one::after {
  position: absolute;
  content: "";
  width: 55px;
  height: 109px;
  background-image: url("/qora-masala/wp-content/uploads/2026/01/line4.png");
  background-repeat: no-repeat;
  background-size: contain;
  bottom: -52px;
  left: 0;
}

.box-two::after {
  position: absolute;
  content: "";
  width: 109px;
  height: 54px;
  background-image: url("/qora-masala/wp-content/uploads/2026/01/line2.png");
  background-repeat: no-repeat;
  background-size: contain;
  top: 0;
  left: 0;
}


/* ============ Contact Us Page ============ */

.ic-box-link a {
  color: rgba(75, 75, 75, 1);
}

.main-icbox {
  transition: all 0.3s ease-in-out;
  position: relative;
}

.main-icbox:hover {
  background-color: #B31900 !important;
  transition: all 0.3s ease-in-out;
}

.main-icbox:hover .elementor-icon-box-icon svg path {
  fill: #FFFFFF !important;
  transition: all 0.3s ease-in-out;
}

.main-icbox:hover .elementor-icon-box-content h3,
.main-icbox:hover .elementor-icon-box-content p {
  color: #FFFFFF !important;
  transition: all 0.3s ease-in-out;
}

.contact-form .grecaptcha-badge {
  z-index: 999;
}

.contact-form .elementor-widget-shortcode {
  flex-grow: 1 !important;
}

.contact-form .elementor-widget-shortcode .elementor-shortcode {
  flex-grow: 1 !important;
}

.contact-form .gform_confirmation_message {
  font-size: 24px;
  font-family: 'poppins';
  font-weight: 400;
  text-transform: capitalize;
}

.contact-form .elementor-shortcode .gform_fields .gfield input,
.contact-form .elementor-shortcode .gform_fields .gfield textarea {
  height: 56px;
  padding: 16px 16px 16px 46px;
  border: 1px solid rgba(229, 225, 225, 1);
  font-family: 'Poppins';
  font-size: 16px;
  color: rgba(75, 75, 75, 1);
  line-height: 26px;
  font-weight: 400;
  box-shadow: none;
  border-radius: 0;
  resize: none;
  transition: all 60s ease-in;
}

.contact-form .elementor-shortcode .gform_fields .gfield input::placeholder,
.contact-form .elementor-shortcode .gform_fields .gfield textarea::placeholder {
  text-transform: capitalize;
}

.contact-form .elementor-shortcode .gform_fields .gfield input[type="email"] {
  text-transform: lowercase !important;
}

.contact-form .elementor-shortcode .gform_fields .gfield input:focus,
.contact-form .elementor-shortcode .gform_fields .gfield textarea:focus {
  outline: none;
  transition: all 0.2s ease-in;
  border: 1px solid rgba(179, 25, 0, 1);
}

.contact-form .elementor-shortcode .gform_fields {
  column-gap: 30px;
  row-gap: 19px;
}

.contact-form .elementor-shortcode .c_form-name,
.contact-form .elementor-shortcode .c_form-email,
.contact-form .elementor-shortcode .c_form-phon,
.contact-form .elementor-shortcode .c_form-subj,
.contact-form .elementor-shortcode .c_form-msg {
  position: relative;
}

.contact-form .elementor-shortcode .c_form-name .ginput_container input {
  background-image: url("image/name-icon.svg");
  background-repeat: no-repeat;
  background-size: 15px;
  background-position: center left 17px;
}

.contact-form .elementor-shortcode .c_form-email input {
  background-image: url("image/email-icon.svg");
    background-repeat: no-repeat;
  background-size: 17px;
  background-position: center left 17px;
}

.contact-form .elementor-shortcode .c_form-phon input {
  background-image: url("image/phone-icon.svg");
    background-repeat: no-repeat;
  background-size: 15px;
  background-position: center left 17px;
}

.contact-form .elementor-shortcode .c_form-subj input {
  background-image: url("image/subject-icon.svg");
    background-repeat: no-repeat;
  background-size: 17px;
  background-position: center left 17px;
}

.contact-form .elementor-shortcode .c_form-msg textarea {
  background-image: url("image/massage-icon.svg");
    background-repeat: no-repeat;
  background-size: 15px;
  background-position: top 22px left 17px;
}

.contact-form .elementor-shortcode .gform-footer {
  margin-top: 10px;
}

.contact-form .elementor-shortcode .gform-footer input.gform_button {
  height: 47px !important;
  width: 149px !important;
  font-family: 'poppins' !important;
  font-size: 17px !important;
  font-weight: 500 !important;
  background-color: rgba(179, 25, 0, 1) !important;
  color: #FFFFFF !important;
  border: 1px solid rgba(179, 25, 0, 1) !important;
  border-radius: 6px !important;
  transition: all 0.2s ease-in-out !important;

  &:hover {
    background-color: transparent !important;
    color: rgba(179, 25, 0, 1) !important;
    transition: all 0.2s ease-in-out !important;
  }

  &:focus {
    outline: none !important;
  }
}

/* ============ Contact Us Page ============ */



/* ============ Product Categories Page ============ */

.cat-product-main {
  position: relative;
}

.cat-product-main-tab .elementor-pagination {
  display: flex;
  justify-content: center;
}

.cat-product-main-tab .page-numbers {
  border: 1px solid #F1F1F1;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 48px;
  height: 48px;
  color: #6B7C93;
  transition: all 0.3s ease-in-out;
  &:hover {
    background-color: #B31900;
    color: #FFFFFF;
    transition: all 0.3s ease-in-out;
  }
}

.cat-product-main-tab .page-numbers.current {
  background-color: #B31900;
  color: #FFFFFF;
}

/* ======== */

.main-tab-widgets .e-n-tabs .e-n-tabs-heading button {
  height: 230px;
  width: 240px;
  min-width: 240px;
  position: relative;
  display: flex;
  flex-direction: column;
  z-index: 2;
  transition: all 0.3s ease-in;
  border-radius: 20px;
	color: rgba(35, 31, 32, 1) !important;
}

.main-tab-widgets .e-n-tabs .e-n-tabs-heading button .e-n-tab-icon {
  width: 138px;
  height: 118px;
}

.main-tab-widgets .e-n-tabs .e-n-tabs-heading button .e-n-tab-icon svg {
  width: 138px;
  height: 118px;
}

.main-tab-widgets .e-n-tabs .e-n-tabs-heading button[aria-selected="true"] {
  background-color: #F5EC00 !important;
	color: rgba(35, 31, 32, 1) !important;
}

.main-tab-widgets .e-n-tabs-heading .e-n-tab-title::after {
  content: '';
  height: 0;
  width: 0;
  background-color: #F5EC00 !important;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
  border-radius: 20px;
  transition: all 0.3s ease-in;
}

.main-tab-widgets .e-n-tabs-heading .e-n-tab-title:hover::after {
  height: 100%;
  width: 100%;
}

.main-tab-widgets .e-n-tabs-heading .e-n-tab-title:hover {
  color: rgba(35, 31, 32, 1) !important;
  transition: all 0.3s ease-in;
  border-color: transparent !important;
}

.cat-product-main,
.cat-product-main .cat-product-main-title {
  position: relative;
  z-index: 2;
  transition: all 0.2s ease-in;
}

.cat-product-main::after {
  content: '';
  height: 0;
  width: 0;
  background-color: #F5EC00;
  border-radius: 20px;
  transition: all 0.2s ease-in;
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 0;
}

.cat-product-main:hover {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  transition: all 0.2s ease-in;
}

.cat-product-main:hover::after {
  height: 100%;
  width: 100%;
  transition: all 0.2s ease-in;
}

.cat-product-main:hover .cat-product-main-title .elementor-heading-title {
  color: rgba(35, 31, 32, 1) !important;
  transition: all 0.2s ease-in;
}

.cat-product-main:hover .cat-product-main-category .elementor-post-info__terms-list-item {
  color: rgba(35, 31, 32, 1) !important;
  transition: all 0.2s ease-in;
}

.cat-product-main:hover .cat-product-main-category {
  z-index: 3;
}

.cat-product-main:hover .cat-product-main-image img {
  z-index: 3;
}


/* ============ Product Categories Page ============ */


/* ============ Recipe Details Page ============ */

.recipe-details-button .elementor-button-icon svg {
  width: 30px;
}


/* ============ Recipe Details Page ============ */


@media only screen and (min-width: 1367px) and (max-width: 1600px) {

  .bcg-overlay-main {
    background-position: bottom !important;
    background-size: contain !important;
  }

}


@media(max-width:1024px) {

  .main-header-menu .elementor-nav-menu .elementor-item.has-submenu:hover .sub-arrow svg path {
    fill: #B31900 !important;
  }

  .contact-form .gform_confirmation_message {
    font-size: 20px;
  }

  .main-header-menu .elementor-nav-menu .elementor-item::after {
    display: none;
  }

}

@media(max-width:880px) {
  .main-tab-widgets .e-n-tabs .e-n-tabs-heading button {
    height: 200px;
    width: 200px;
    min-width: 200px;
  }
}

@media(max-width:767px) {

  .contact-form .gform_confirmation_message {
    font-size: 18px;
    text-align: center;
  }

  .contact-form .elementor-shortcode .gform-footer input.gform_button {
    width: 100% !important;
  }

  .contact-form .elementor-shortcode .gform_fields .gfield input,
  .contact-form .elementor-shortcode .gform_fields .gfield textarea {
    padding: 15px 15px 15px 35px;
    font-size: 15px;
    line-height: 20px;
    height: 50px;
  }

  .contact-form .elementor-shortcode .gform_fields .gfield .textarea.medium {
    min-height: 125px;
    word-break: break-all;
  }

  .hero-carousel-main .swiper-pagination span::after {
    top: -7px;
    left: -7px;
  }

  .hero-carousel-main .swiper-pagination span:hover::after {
    width: 30px;
    height: 30px;
  }

  .hero-carousel-main .swiper-pagination .swiper-pagination-bullet-active::after {
    width: 30px;
    height: 30px;
  }

  .hero-carousel-main .swiper-pagination {
    top: auto !important;
    bottom: 50px !important;
  }

  .main-tab-widgets .e-n-tabs .e-n-tabs-heading button {
    height: 140px;
    min-width: 120px;
    padding: 10px;
  }

  .main-tab-widgets .e-n-tabs .e-n-tabs-heading button .e-n-tab-icon {
    width: fit-content;
    height: 90px;
  }

  .main-header-dv {
    padding: 20px 20px;
  }

}

@media(max-width:495px) {
  .main-tab-widgets .e-n-tabs .e-n-tabs-heading button .e-n-tab-icon {
    height: 50px;
  }

  .main-tab-widgets .e-n-tabs .e-n-tabs-heading button .e-n-tab-icon svg {
    width: fit-content;
  }

  .main-tab-widgets .e-n-tabs .e-n-tabs-heading button {
    height: 135px;
    min-width: 100px;
    padding: 10px;
  }

  .main-tab-widgets .e-n-tabs .e-n-tab-title-text {
    font-size: 12px;
  }

}